//+------------------------------------------------------------------+
//|                                                   trade"buy".mq4 |
//|                      Copyright ? 2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#include <stdlib.mqh>
#property copyright "Copyright ? 2004, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"
//+------------------------------------------------------------------+
//| script "buy"                                   |
//+------------------------------------------------------------------+
extern double TakeProfit = 30;
extern double StopLoss = 15;
extern double Lots = 1.0;
extern double TrailingStop = 15;

int start()
{
   int ticket;
//----
   while(true)
   {
      ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Bid-StopLoss*Point,Ask+TakeProfit*Point,"buy opened",255,0,Lime);
      if(ticket<=0)
      {
         int error=GetLastError();
            Print("Error = ",ErrorDescription(error));
               if(error==134) break;            // not enough money
               if(error==135) RefreshRates();   // prices changed
               break;
      }
      //---- remove break statement below and take trading for all money
      else { OrderPrint(); break; }
      //---- 10 seconds wait
      Sleep(10000);
   }

   //
   //
   //
   //
   //
   
   if (TrailingStop>0)  
   {
      if(Bid-OrderOpenPrice()>Point*TrailingStop)
      {
         if(OrderStopLoss()<Bid-Point*TrailingStop)
         {
            OrderModify(OrderTicket(),OrderOpenPrice(),Bid-Point*TrailingStop,OrderTakeProfit(),0,Green);
            return(0);
         }
      }
   }
   return(0);
}

